unit CDater;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  SysUtils, StdCtrls, Grids, ExtCtrls, Calendar;

type
  TCalendarDates = class(TForm)
    PsCalendar: TCalendar;
    PrevMonthBtn: TSpeedButton;
    NextMonthBtn: TSpeedButton;
    Label1: TLabel;
    DateLabel: TLabel;
    DateEdit: TEdit;
    HelpBtn: TBitBtn;
    CloseBtn: TBitBtn;
    procedure Enter;
    procedure PrevMonthBtnClick(Sender: TObject);
    procedure NextMonthBtnClick(Sender: TObject);
    procedure PsCalendarChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
  private
    procedure PsSetDate(Date: TDateTime);
    function PsGetDate: TDateTime;
  public
    property PsDate: TDateTime read PsGetDate write PsSetDate;
  end;

var
  CalendarDates: TCalendarDates;

implementation

{$R *.DFM}
procedure TCalendarDates.Enter;
begin
Show;
Left := 0;
Top := 130;
end;


procedure TCalendarDates.PsSetDate(Date: TDateTime);
begin
 PsCalendar.CalendarDate := Date;
end;

function TCalendarDates.PsGetDate: TDateTime;
begin
  Result := PsCalendar.CalendarDate;
end;

procedure TCalendarDates.PrevMonthBtnClick(Sender: TObject);
begin
  PsCalendar.PrevMonth;
end;

procedure TCalendarDates.NextMonthBtnClick(Sender: TObject);
begin
  PsCalendar.NextMonth;
end;

procedure TCalendarDates.PsCalendarChange(Sender: TObject);
begin
  CalendarDates.DateLabel.Caption := FormatDateTime('dddd, MMMM d, YYYY', PsCalendar.CalendarDate);
  DateEdit.Text:=FormatDateTime('m/d/YYYY', PsCalendar.CalendarDate);
end;

procedure TCalendarDates.FormCreate(Sender: TObject);
begin
{CalendarForm.FormStyle := fsStayOnTop;}
CalendarDates.DateLabel.Caption := FormatDateTime('dddd, MMMM d, YYYY', Date);
DateEdit.Text:=  FormatDateTime('m/d/YYYY', Date);
end;

procedure TCalendarDates.CloseBtnClick(Sender: TObject);
begin
Close;
end;

procedure TCalendarDates.HelpBtnClick(Sender: TObject);
begin
Application.HelpContext(20);
end;

end.
