unit Place;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TPlaceFrm = class(TForm)
    Info: TStatusBar;
    PlaceGrp: TGroupBox;
    PlaceEd: TEdit;
    ZoomCmb: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    FindBtn: TButton;
    GotoBtn: TButton;
    CancelBtn: TButton;
    procedure CancelBtnClick(Sender: TObject);
    procedure FindBtnClick(Sender: TObject);
    procedure GotoBtnClick(Sender: TObject);
    procedure PlaceEdChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PlaceFrm: TPlaceFrm;

implementation

{$R *.DFM}
 Uses Pm,PmUtil;
procedure TPlaceFrm.CancelBtnClick(Sender: TObject);
begin
 Close;
end;

procedure TPlaceFrm.FindBtnClick(Sender: TObject);
Var Tstr : String;
begin
 GotoBtn.Enabled := False;
 With Main.OlePmMap1 do
 Begin
  FindCity(PlaceEd.Text);

  With FCityRec do
  If Length(Main.OlePmMap1.Result) > 0  then  // Found result
  Begin
   Tstr := Result;
   City := TabDelim(Tstr);
   State := TabDelim(Tstr);
   Lon := StrtoFloat(TabDelim(Tstr));
   Lat := StrToFloat(TabDelim(Tstr));
   Info.Panels.Items[0].Text := City;
   Info.Panels.Items[1].Text := State;
   Info.Panels.Items[2].Text := LonLatStr(Lon,Lat);
   GotoBtn.Enabled := True;
  End
  Else
  Begin
   Lon := 0;
   Lat := 0;
   Info.Panels.Items[0].Text := 'Error';
   Info.Panels.Items[1].Text := '';
   Info.Panels.Items[2].Text := '';
   GotoBtn.Enabled := False;
  End;  // Result

 End;
end;

procedure TPlaceFrm.GotoBtnClick(Sender: TObject);

begin
  With Main.OlePmMap1,FCityRec do
 Begin
  AutoPaint := False;
  Miles  := StrToFloat(ZoomCmb.text);
  GotoPoint(Lon,Lat);
  AutoPaint := True;
  Redraw;
 End;
end;

procedure TPlaceFrm.PlaceEdChange(Sender: TObject);
Var Tstr : String;
begin
 GotoBtn.Enabled := False;
 With Main.OlePmMap1 do
 Begin
  FindCity(PlaceEd.Text);

  With FCityRec do
  If Length(Main.OlePmMap1.Result) > 0  then  // Found result
  Begin
   Tstr := Result;
   City := TabDelim(Tstr);
   State := TabDelim(Tstr);
   Lon := StrtoFloat(TabDelim(Tstr));
   Lat := StrToFloat(TabDelim(Tstr));
   Info.Panels.Items[0].Text := City;
   Info.Panels.Items[1].Text := State;
   Info.Panels.Items[2].Text := LonLatStr(Lon,Lat);
   GotoBtn.Enabled := True;
  End
  Else
  Begin
   Lon := 0;
   Lat := 0;
   Info.Panels.Items[0].Text := 'Error';
   Info.Panels.Items[1].Text := '';
   Info.Panels.Items[2].Text := '';
   GotoBtn.Enabled := False;
  End;  // Result

 End;
end;

end.
