unit pausedate;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  SysUtils, StdCtrls, Grids, Calendar, ExtCtrls;

type
  TPsDateForm = class(TForm)
    PsCalendar: TCalendar;
    PrevMonthBtn: TSpeedButton;
    NextMonthBtn: TSpeedButton;
    Label1: TLabel;
    DateLabel: TLabel;
    DateEdit: TEdit;
    HelpBtn: TBitBtn;
    CloseBtn: TBitBtn;
    procedure Enter;
    procedure PrevMonthBtnClick(Sender: TObject);
    procedure NextMonthBtnClick(Sender: TObject);
    procedure PsCalendarChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
  private
    procedure PsSetDate(Date: TDateTime);
    function PsGetDate: TDateTime;
  public
    property PsDate: TDateTime read PsGetDate write PsSetDate;
  end;

var
  PsDateForm: TPsDateForm;

implementation

{$R *.DFM}
procedure TPsDateForm.Enter;
begin
Show;
Left := 0;
Top := 110;
end;


procedure TPsDateForm.PsSetDate(Date: TDateTime);
begin
 PsCalendar.CalendarDate := Date;
end;

function TPsDateForm.PsGetDate: TDateTime;
begin
  Result := PsCalendar.CalendarDate;
end;

procedure TPsDateForm.PrevMonthBtnClick(Sender: TObject);
begin
  PsCalendar.PrevMonth;
end;

procedure TPsDateForm.NextMonthBtnClick(Sender: TObject);
begin
  PsCalendar.NextMonth;
end;

procedure TPsDateForm.PsCalendarChange(Sender: TObject);
begin
  PsDateForm.DateLabel.Caption := FormatDateTime('dddd, MMMM d, YYYY', PsCalendar.CalendarDate);
  DateEdit.Text:= DateToStr(PsCalendar.CalendarDate);
end;

procedure TPsDateForm.FormCreate(Sender: TObject);
begin
PsDateForm.FormStyle := fsStayOnTop;
PsDateForm.DateLabel.Caption := FormatDateTime('dddd, MMMM d, YYYY', Date);
DateEdit.Text:= DateToStr(Date);  {FormatDateTime('dddd, MMMM d, YYYY', Date);}
end;

procedure TPsDateForm.CloseBtnClick(Sender: TObject);
begin
Close;
end;

end.
